---
title: SVGAnimatedPreserveAspectRatio
slug: Web/API/SVGAnimatedPreserveAspectRatio
tags:
  - API
  - Reference
  - Référence(2)
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<h2 id="SVG_animated_preserveAspectRatio_interface">SVG animated preserveAspectRatio interface</h2>

<p>The <code>SVGAnimatedPreserveAspectRatio</code> interface is used for attributes of type {{ domxref("SVGPreserveAspectRatio") }} which can be animated.</p>

<h3 id="Interface_overview">Interface overview</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Also implement</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Methods</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Properties</th>
   <td>
    <ul>
     <li>readonly float <code>baseVal</code></li>
     <li>readonly float <code>animVal</code></li>
    </ul>
   </td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a class="external" href="http://www.w3.org/TR/SVG11/coords.html#InterfaceSVGAnimatedPreserveAspectRatio">SVG 1.1 (2nd Edition)</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>
<dl>
 <dt>{{domxref("SVGAnimatedPreserveAspectRatio.baseVal")}} {{ReadOnlyInline}}</dt>
 <dd>Is a {{domxref("SVGPreserveAspectRatio")}} that represents the base value of the given attribute before applying any animations.</dd>

 <dt>{{domxref("SVGAnimatedPreserveAspectRatio.animVal")}} {{ReadOnlyInline}}</dt>
 <dd>Is a {{domxref("SVGPreserveAspectRatio")}} that represents the current animated value of the given attribute. If the given attribute is not currently being animated, then the {{ domxref("SVGPreserveAspectRatio") }} will have the same contents as <code>baseVal</code>. The object referenced by <code>animVal</code> is always distinct from the one referenced by <code>baseVal</code>, even when the attribute is not animated.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>The <code>SVGAnimatedPreserveAspectRatio</code> interface do not provide any specific methods.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimatedPreserveAspectRatio")}}</p>
